Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 490362 - dev-libs/icu-51.2-r1 conflicts with dev-tex/bibtexu-3.71_p20120701
Summary: dev-libs/icu-51.2-r1 conflicts with dev-tex/bibtexu-3.71_p20120701
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
: 490459 491454 (view as bug list)
Depends on:
Blocks: 484436 CVE-2013-7296
  Show dependency tree
 
Reported: 2013-11-04 09:56 UTC by Dirkjan Ochtman
Modified: 2014-01-06 00:41 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirkjan Ochtman gentoo-dev 2013-11-04 09:56:11 UTC
I only wanted dev-python/sphinx[latex], and now I get this stuff. Any solutions?
Comment 1 urcindalo 2013-11-04 10:16:50 UTC
This also happened to me when updating my box this morning:

====
WARNING: One or more updates have been skipped due to a dependency conflict:

dev-libs/icu:0

  (dev-libs/icu-51.2-r1::gentoo, ebuild scheduled for merge) conflicts with
    >=dev-libs/icu-4.4:0/51.1= required by (dev-tex/bibtexu-3.71_p20120701::gentoo, installed)


Would you like to merge these packages? [Yes/No] No
====
Comment 2 Andreas K. Hüttel gentoo-dev 2013-11-04 11:53:00 UTC
This is actually a portage bug. I think.

You merged bibtexu when it had a subslot dependency on icu. Afterwards aballier removed the subslot dependency in the ebuild of bibtexu again. For some silly reason, portage cannot handle the upgrade then anymore. 

Workaround: 
emerge -1 dev-tex/bibtexu
(which updates the vdb dependencies with those of the ebuild)

and then repeat whatever you were doing before.
Comment 3 Andreas K. Hüttel gentoo-dev 2013-11-04 11:56:38 UTC
Alexis, please please consider re-adding the subslot dependency on icu in the bibtexu ebuild. I don't want to revert your revert, but "preventing extra rebuilds" for a package that takes 20s to build is not a very strong argument.
Comment 4 Alexis Ballier gentoo-dev 2013-11-04 12:36:31 UTC
(In reply to Andreas K. Hüttel from comment #3)
> Alexis, please please consider re-adding the subslot dependency on icu in
> the bibtexu ebuild. I don't want to revert your revert, but "preventing
> extra rebuilds" for a package that takes 20s to build is not a very strong
> argument.

since := deps are mainly about rebuilding and those rebuilds are useless with the current icu subslot, I don't understand what a "strong argument" could be :)
Comment 5 Alexis Ballier gentoo-dev 2013-11-04 12:39:20 UTC
just to be a bit more clear: if icu is _that_ insane and nobody wants to sanitize it, the best route would likely be to move bibtexu back into texlive-core and use the bundled icu copy since that's what upstream recommends...
Comment 6 urcindalo 2013-11-04 12:55:33 UTC
(In reply to Andreas K. Hüttel from comment #2)
> Workaround: 
> emerge -1 dev-tex/bibtexu
> (which updates the vdb dependencies with those of the ebuild)
> 
> and then repeat whatever you were doing before.

You're right!
Thanks very much indeed :)
Comment 7 Lars Wendler (Polynomial-C) gentoo-dev 2013-11-05 07:42:55 UTC
*** Bug 490459 has been marked as a duplicate of this bug. ***
Comment 8 Jeroen Roovers gentoo-dev 2013-11-17 17:46:54 UTC
*** Bug 491454 has been marked as a duplicate of this bug. ***
Comment 10 Pacho Ramos gentoo-dev 2014-01-01 12:36:00 UTC
(In reply to Sebastian Luther (few) from comment #9)
> This fixed in git:
> 
> http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;
> h=c752202d57a1e3163aded69301e2d71d1ea26ae7

Could a new portage version be released including this and many other fixes you committed in git? I still see people suffering this bug (for example)

Thanks a lot
Comment 11 Andreas K. Hüttel gentoo-dev 2014-01-04 12:56:22 UTC
(In reply to Pacho Ramos from comment #10)
> (In reply to Sebastian Luther (few) from comment #9)
> > This fixed in git:
> > 
> > http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;
> > h=c752202d57a1e3163aded69301e2d71d1ea26ae7
> 
> Could a new portage version be released including this and many other fixes
> you committed in git? I still see people suffering this bug (for example)
> 
> Thanks a lot

Pretty please, yes do that!!! We'd actually even need this in stable as soon as possible... see e.g. bug 469770 comment 4
Comment 12 Andreas K. Hüttel gentoo-dev 2014-01-04 12:57:15 UTC
(In reply to Andreas K. Hüttel from comment #11)

that should have been bug 496770 comment 4
Comment 13 Brian Dolbec gentoo-dev 2014-01-06 00:41:03 UTC
Released in sys-apps/portage-2.2.8.